JsonCpp project page | Classes | Namespace | JsonCpp home page

Public Member Functions | List of all members
Json::CharReader::Factory Class Referenceabstract

`#include <json/reader.h>`

Inheritance diagram for Json::CharReader::Factory:
Collaboration diagram for Json::CharReader::Factory:

## Public Member Functions
virtual | ~Factory ()=default
virtual CharReader * | newCharReader () const =0
| Allocate a CharReader via operator new().

## Detailed Description

Definition at line 281 of file reader.h.

## Constructor & Destructor Documentation

## ◆ ~Factory()

virtual Json::CharReader::Factory::~Factory | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ newCharReader()

virtual CharReader * Json::CharReader::Factory::newCharReader | ( |  | ) | const
| pure virtual

Allocate a CharReader via operator new().

Exceptions

  std::exception | if something goes wrong (e.g. invalid settings)

References Json::CharReader::CharReader().

Referenced by Json::parseFromStream().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- include/json/reader.h